PIXELSHADER(3CgFX)

NAME
PixelShader - 3D API pixel shader

USAGE
PixelShader = compile profile "-po profileOption" main(args);

VALID ENUMERANTS
shader: Null

DESCRIPTION
Compile a pixel shader. See the specification of the OpenGL fragment profile for details. See the specification of the Direct3D pixel shaders for details.

The standard reset callback sets the PixelShader state to program(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
GeometryShader, TessellationControlShader, TessellationEvaluationShader, VertexShader, FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram